YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000735YaCy[All Projects] Generalpublic2017-04-09 21:222017-04-27 23:24
Reportershni 
Assigned To 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusnewResolutionopen 
ETAnone 
PlatformOSOS Version
Product VersionYaCy 1.9 
Target VersionFixed in Version 
Summary0000735: indexing script content of html websites
DescriptionIn html embedded scripts are not always filtered. The code then gets indexed and becomes searchable.
Steps To ReproduceIndex bing.com and www.hertie.de/Laufrad/HUDORA-Koolbike-Boy_p1959387

When searching for "bing" results are as seen on the attached screenshot.

When searching for "bing google" the latter website is returned, but it contains the keywords only in <script> sections (not in visible content).
TagsNo tags attached.
Attached Filespng file icon 2017-04-09 21_14_43-bing - YaCy '_anonufe-15030389-11'_ Search Page.png [^] (22,145 bytes) 2017-04-09 21:22

- Relationships

-  Notes
(0001392)
BuBu (developer)
2017-04-14 02:06

Tested your example URL with current dev version, and script was successful filtered.
In Feb. 2017 was a fix applied to this subject.
https://github.com/yacy/yacy_search_server/commit/f254fcfc67d0ed8c585987c4815c5da885a1159f [^]

The above commit was after Version 1.92/9000 was published.
(0001393)
shni (reporter)
2017-04-17 16:14

So it's already fixed. Thanks for clarifying this!

How long would it usually take until the official packages are updated? I mean, is there a fixed release cycle one can rely on, or should I better try build it myself?
(0001397)
luc (reporter)
2017-04-27 23:24

As far as I know the releases cycle is not fixed, but rather relies on the amount of modifications/bug fixes and the time available for maintainer(s) to officially release a new version.

If you whish to always run the latest version you've better regularly build yourself from sources on the github repository, or run YaCy as a docker container (images built automatically from the latest sources are available here : https://hub.docker.com/r/luccioman/yacy/ [^]).

And for this specific bug fix, a developer release including it is already available here : https://github.com/luccioman/yacy_search_server/releases/tag/Release_1.92.9159-dev [^]

- Issue History
Date Modified Username Field Change
2017-04-09 21:22 shni New Issue
2017-04-09 21:22 shni File Added: 2017-04-09 21_14_43-bing - YaCy '_anonufe-15030389-11'_ Search Page.png
2017-04-14 02:06 BuBu Note Added: 0001392
2017-04-17 16:14 shni Note Added: 0001393
2017-04-27 23:24 luc Note Added: 0001397


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker